<template>
  <div id="one-category-page">
    <h1 class="text-center">{{ category.title }}</h1>

    <div class="col-md-9 mx-auto">
      <Category v-for="(postCategory, postCat) in category.posts" :key="`${postCat}-${postCategory}`" :postCategory="postCategory" />
    </div>
  </div>
</template>

<script>
import Category from "@/components/Category.vue";
import CategoryService from "../services/CategoryServices";

export default {
  name: "OneCategory",
  components: {
      Category
  },
  data() {
    return {
      category: []
    };
  },
  mounted() {
    const service = new CategoryService();
    service
      .findById(this.$route.params.id)
      .then(data => {
        this.category = data;
      })
      .catch(() => this.$router.push("/"));
  }
};
</script>

<style lang="scss">
$green: #60ca60d8;
$green-dark: #449644;

#one-article-page {
  padding: 0 0 0 0;
  margin: 10px 0 0 0;
}
</style>
